Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface Type

All Known Subinterfaces:
  ClassDoc

public abstract interface Type
extends java.io.Serializable

Represents a java type. Type can be a class or primitive data type, like int, char...

Since:
  JDK1.2

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ClassDoc` | `asClassDoc()` Return this type as a class.
`java.lang.String` | `dimension()` Return the type's dimension information, as a string.
`java.lang.String` | `qualifiedTypeName()` Return qualified name of type excluding any dimension information.
`java.lang.String` | `toString()` Returns a string representation of the type.
`java.lang.String` | `typeName()` Return unqualified name of type excluding any dimension information.

Method Detail

### typeName

    public java.lang.String typeName()

  Return unqualified name of type excluding any dimension information.

  For example, a two dimensional array of String returns 'String'.

### qualifiedTypeName

    public java.lang.String qualifiedTypeName()

  Return qualified name of type excluding any dimension information.

  For example, a two dimensional array of String returns 'java.lang.String'.

### dimension

    public java.lang.String dimension()

  Return the type's dimension information, as a string.

  For example, a two dimensional array of String returns '[][]'.

### toString

    public java.lang.String toString()

  Returns a string representation of the type. Return name of type including any dimension information.

  For example, a two dimensional array of String returns `String[][]`.

  Returns:
    name of type including any dimension information.
  Overrides:
    toString in class java.lang.Object

### asClassDoc

    public ClassDoc asClassDoc()

  Return this type as a class. Array dimensions are ignored.
  Returns:
    a ClassDoc if the type is a Class. Return null if it is a primitive type..

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD